Quote Line Price

The quote line price resource.

Basehttps://rest.carbon.ms/quoteLinePrice
GET/quoteLinePrice

List quote line prices

Retrieve a paginated list of quote line prices. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/quoteLinePrice
curl --request GET \
  --url 'https://rest.carbon.ms/quoteLinePrice?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "quoteLineId": "xyz789",
    "quantity": 10,
    "quoteId": "xyz789",
    "leadTime": 0,
    "discountPercent": 10,
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string",
    "unitPrice": 0
  }
]
GET/quoteLinePrice

Retrieve a quote line price

Fetch a single quote line price by filtering on `quoteLineId`.

Query parameters

quoteLineIdstring

Match on the quote line price's `quoteLineId`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/quoteLinePrice
curl --request GET \
  --url 'https://rest.carbon.ms/quoteLinePrice?quoteLineId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "quoteLineId": "xyz789",
  "quantity": 10,
  "quoteId": "xyz789",
  "leadTime": 0,
  "discountPercent": 10,
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "unitPrice": 0
}
POST/quoteLinePrice

Create a quote line price

Create a new quote line price.

Body parameters

quoteIdstringrequired

References quote.id

leadTimenumberrequired
discountPercentnumberrequired
unitPricenumberrequired
exchangeRatenumber
shippingCostnumberrequired
convertedUnitPricenumber
netUnitPricenumber
netExtendedPricenumber
convertedNetUnitPricenumber
convertedNetExtendedPricenumber
convertedShippingCostnumber
categoryMarkupsobject
POSThttps://rest.carbon.ms/quoteLinePrice
curl --request POST \
  --url https://rest.carbon.ms/quoteLinePrice \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"quoteId":"xyz789","leadTime":0,"discountPercent":10,"unitPrice":0,"shippingCost":0}'
Response
{
  "quoteLineId": "xyz789",
  "quantity": 10,
  "quoteId": "xyz789",
  "leadTime": 0,
  "discountPercent": 10,
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "unitPrice": 0
}
PATCH/quoteLinePrice

Update a quote line price

Update an existing quote line price, matched on `quoteLineId`.

Body parameters

quoteIdstringrequired

References quote.id

leadTimenumberrequired
discountPercentnumberrequired
unitPricenumberrequired
exchangeRatenumber
shippingCostnumberrequired
convertedUnitPricenumber
netUnitPricenumber
netExtendedPricenumber
convertedNetUnitPricenumber
convertedNetExtendedPricenumber
convertedShippingCostnumber
categoryMarkupsobject
PATCHhttps://rest.carbon.ms/quoteLinePrice
curl --request PATCH \
  --url 'https://rest.carbon.ms/quoteLinePrice?quoteLineId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"quoteId":"xyz789"}'
Response
{
  "quoteLineId": "xyz789",
  "quantity": 10,
  "quoteId": "xyz789",
  "leadTime": 0,
  "discountPercent": 10,
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "unitPrice": 0
}
DELETE/quoteLinePrice

Delete a quote line price

Delete a quote line price, matched on `quoteLineId`. Returns 204 No Content.

Query parameters

quoteLineIdstring

The `quoteLineId` of the quote line price to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/quoteLinePrice
curl --request DELETE \
  --url 'https://rest.carbon.ms/quoteLinePrice?quoteLineId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content